<div class="row ">
	<div class="col-2 py-5">&nbsp;</div>
  	<div class="col-8 py-5 my-5 mx-auto">
		<div class="myError text-danger text-center font-weight-normal" *ngIf="errortext === true"> Please Enter an valid Email and Password </div>
		<form name="logIn" (ngSubmit)="onSubmitForm(myForm)" #myForm="ngForm" autocomplete="off">
			<div class="form-group">
				<label for="exampleInputEmail1">Email address</label>
				<input name = "email" ngModel  required type="email" class="form-control is-valid" id="exampleInputEmail1" aria-describedby="emailHelp" placeholder="Enter email" #emailErr="ngModel" pattern="^([a-zA-Z0-9_\-\.]{3,10})@([a-zA-Z0-9_\-\.]+)\.([a-zA-Z]{2,5})$">
				<small id="emailHelp" class="form-text text-muted">We'll never share your email with anyone else.</small>
				<div class="valid-feedback" *ngIf="emailErr.errors && (emailErr.dirty || emailErr.touched)">
					<div [hidden]="!emailErr.errors.required">
						Email is required !
					</div>
					<div [hidden]="!emailErr.errors?.pattern">
						Please enter an valid email address !
					</div>
				</div>
			</div>
			<div class="form-group">
				<label for="exampleInputPassword1">Password</label>
				<input name = "password" ngModel required type="password" class="form-control is-valid" id="exampleInputPassword1" placeholder="Password" #passErr = "ngModel" pattern="^(?=.*\d)(?=.*[a-z])(?=.*[A-Z])(?!.*\s).{6,}$">
				<div class="valid-feedback" *ngIf="passErr.errors && (passErr.dirty || passErr.touched)">
					<div [hidden]="!passErr.errors.required">
						Password is required !
					</div>
					<div [hidden]="!passErr.errors?.pattern">
						Please enter an valid Password !
					</div>
				</div>
			</div>
			<button type="submit" [disabled]="myForm.invalid" class="btn btn-primary ">Submit</button>
		</form>
	</div>
	<div class="col-2">&nbsp;</div>
</div>

